# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

#### Public Classes

* [`daq`](#daq): Installs and configures LSST DAQ software
* [`daq::daqsdk`](#daqdaqsdk): Installs LSST DAQ SDK software
* [`daq::rptsdk`](#daqrptsdk): Installs LSST RPT SDK software
* [`daq::service::dsid`](#daqservicedsid): Manage DAQ DSID service
* [`daq::service::rce`](#daqservicerce): Manage DAQ RCE service

#### Private Classes

* `daq::service::config`

## Classes

### <a name="daq"></a>`daq`

Installs and configures LSST DAQ software

#### Parameters

The following parameters are available in the `daq` class:

* [`base_path`](#base_path)
* [`conf_path`](#conf_path)
* [`backingdir`](#backingdir)
* [`interface`](#interface)

##### <a name="base_path"></a>`base_path`

Data type: `Stdlib::Absolutepath`

LSST software base install directory.  Default: '/opt/lsst'

Default value: `'/opt/lsst'`

##### <a name="conf_path"></a>`conf_path`

Data type: `Stdlib::Absolutepath`

Service config (systemd EnvironmentFile) path. Default: '/etc/sysconfig'

Default value: `'/etc/sysconfig'`

##### <a name="backingdir"></a>`backingdir`

Data type: `Stdlib::Absolutepath`

Service backing / cache directory. Default: '/var/lib/vrce'

Default value: `'/var/lib/vrce'`

##### <a name="interface"></a>`interface`

Data type: `String`

Network interface services should listen on. Default: `lsst-daq`

Default value: `'lsst-daq'`

### <a name="daqdaqsdk"></a>`daq::daqsdk`

Installs LSST DAQ SDK software

#### Parameters

The following parameters are available in the `daq::daqsdk` class:

* [`repo_url`](#repo_url)
* [`version`](#version)
* [`purge`](#purge)

##### <a name="repo_url"></a>`repo_url`

Data type: `Stdlib::HTTPUrl`

DAQ SDK Nexus repo

Default value: `'https://repo-nexus.lsst.org/nexus/repository/daq/daq-sdk'`

##### <a name="version"></a>`version`

Data type: `String`

DAQ SDK relase version string

Default value: `'R5-V3.2'`

##### <a name="purge"></a>`purge`

Data type: `Boolean`

If true, purge unmanaged files under the install path.

Default value: ``false``

### <a name="daqrptsdk"></a>`daq::rptsdk`

Installs LSST RPT SDK software

#### Parameters

The following parameters are available in the `daq::rptsdk` class:

* [`repo_url`](#repo_url)
* [`version`](#version)
* [`purge`](#purge)

##### <a name="repo_url"></a>`repo_url`

Data type: `Stdlib::HTTPUrl`

RPT SDK Nexus repo

Default value: `'https://repo-nexus.lsst.org/nexus/repository/daq/rpt-sdk'`

##### <a name="version"></a>`version`

Data type: `String`

RPT SDK relase version string

Default value: `'V3.5.3'`

##### <a name="purge"></a>`purge`

Data type: `Boolean`

If true, purge unmanaged files under the install path.

Default value: ``false``

### <a name="daqservicedsid"></a>`daq::service::dsid`

Manage DAQ DSID service

### <a name="daqservicerce"></a>`daq::service::rce`

Manage DAQ RCE service

